# ModifyNetworkInterfaceAttribute

## 1. 接口描述

本接口(ModifyNetworkInterfaceAttribute)用于修改一张网卡的属性。

{% hint style="info" %}
**注意事项**

* 如果网卡已经绑定指定的安全组，则请求正常，不会报错。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型     | 描述                                                                               |
| --------------- | -- | ------ | -------------------------------------------------------------------------------- |
| nicId           | 是  | String | 需要修改的网卡ID。                                                                       |
| name            | 否  | String | <p>名称。</p><p>范围2到63个字符。</p><p>仅支持输入字母、数字、-/\_和英文句点(.)。</p><p>且必须以数字或字母开头和结尾。</p> |
| securityGroupId | 否  | String | <p>修改网卡绑定的目标安全组ID。</p><p>目前一张网卡只能关联一个安全组。</p><p>指定该字段会解绑网卡原来的安全组。</p>            |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 修改网卡的名称和安全组。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyNetworkInterfaceAttribute
<Common Request Params>

Request：
{
  "nicId": "<nicId>",
  "name": "Test-vNIC",
  "securityGroupId": "<securityGroupId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                  | 说明            |
| ------- | ------------------------------------ | ------------- |
| 404     | INVALID\_NIC\_NOT\_FOUND             | 网卡不存在。        |
| 404     | INVALID\_SECURITY\_GROUP\_NOT\_FOUND | 安全组不存在。       |
| 400     | INVALID\_NIC\_STATUS                 | 当前网卡状态无法进行操作。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/vnic/modifynetworkinterfaceattribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
